ILOG2(3) | Library Functions Manual | ILOG2(3)

# NAME

ilog2 — integer logarithm

# SYNOPSIS

#include <sys/bitops.h>
size
ilog2(size x);

# DESCRIPTION

The ilog2() macro returns an integer (binary) logarithm of x. It is the logarithm for base 2; the binary logarithm of x is the power to which the number 2 must be raised to obtain the value x.
The type of the input parameter should be either uint32_t or uint64_t.

# ERRORS

A value -1 is returned on error.

# SEE ALSO

bitops(3), ilogb(3), log2(3), imax(9), powerof2(9)

# HISTORY

The ilog2() macro first appeared in NetBSD 5.0.

May 10, 2011 | NetBSD 8.2